# Uses of Interface
javax.management.MBeanServerConnection

Packages that use MBeanServerConnection
Package
Description
com.sun.tools.jconsole
This package contains the JConsole API.
java.lang.management
Provides the management interfaces for monitoring and management of the Java virtual machine and other components in the Java runtime.
javax.management
Provides the core classes for the Java Management Extensions.
javax.management.remote
Interfaces for remote access to JMX MBean servers.
javax.management.remote.rmi
The RMI connector is a connector for the JMX Remote API that uses RMI to transmit client requests to a remote MBean server.
jdk.management.jfr
This package contains classes to control and monitor Flight Recorder over Java Management Extensions (JMX).

## Uses of MBeanServerConnection in com.sun.tools.jconsole

Methods in com.sun.tools.jconsole that return MBeanServerConnection
Modifier and Type
Method
Description
`MBeanServerConnection`
JConsoleContext.`getMBeanServerConnection()`
Returns the `MBeanServerConnection` for the connection to an application.

## Uses of MBeanServerConnection in java.lang.management

Methods in java.lang.management with parameters of type MBeanServerConnection
Modifier and Type
Method
Description
`static <T extends PlatformManagedObject>
T`
ManagementFactory.`getPlatformMXBean(MBeanServerConnection connection, Class<T> mxbeanInterface)`
Returns the platform MXBean proxy for `mxbeanInterface` which is specified to have one single instance in a Java virtual machine and the proxy will forward the method calls through the given `MBeanServerConnection`.
`static <T extends PlatformManagedObject>
List<T>`
ManagementFactory.`getPlatformMXBeans(MBeanServerConnection connection, Class<T> mxbeanInterface)`
Returns the list of the platform MXBean proxies for forwarding the method calls of the `mxbeanInterface` through the given `MBeanServerConnection`.
`static <T> T`
ManagementFactory.`newPlatformMXBeanProxy(MBeanServerConnection connection, String mxbeanName, Class<T> mxbeanInterface)`
Returns a proxy for a platform MXBean interface of a given MXBean name that forwards its method calls through the given `MBeanServerConnection`.

## Uses of MBeanServerConnection in javax.management

Subinterfaces of MBeanServerConnection in javax.management
Modifier and Type
Interface
Description
`interface`
`MBeanServer`
This is the interface for MBean manipulation on the agent side.
Methods in javax.management that return MBeanServerConnection
Modifier and Type
Method
Description
`MBeanServerConnection`
MBeanServerInvocationHandler.`getMBeanServerConnection()`
The MBean server connection through which the methods of a proxy using this handler are forwarded.
Methods in javax.management with parameters of type MBeanServerConnection
Modifier and Type
Method
Description
`static <T> T`
JMX.`newMBeanProxy(MBeanServerConnection connection, ObjectName objectName, Class<T> interfaceClass)`
Make a proxy for a Standard MBean in a local or remote MBean Server.
`static <T> T`
JMX.`newMBeanProxy(MBeanServerConnection connection, ObjectName objectName, Class<T> interfaceClass, boolean notificationEmitter)`
Make a proxy for a Standard MBean in a local or remote MBean Server that may also support the methods of `NotificationEmitter`.
`static <T> T`
JMX.`newMXBeanProxy(MBeanServerConnection connection, ObjectName objectName, Class<T> interfaceClass)`
Make a proxy for an MXBean in a local or remote MBean Server.
`static <T> T`
JMX.`newMXBeanProxy(MBeanServerConnection connection, ObjectName objectName, Class<T> interfaceClass, boolean notificationEmitter)`
Make a proxy for an MXBean in a local or remote MBean Server that may also support the methods of `NotificationEmitter`.
`static <T> T`
MBeanServerInvocationHandler.`newProxyInstance(MBeanServerConnection connection, ObjectName objectName, Class<T> interfaceClass, boolean notificationBroadcaster)`
Return a proxy that implements the given interface by forwarding its methods through the given MBean server to the named MBean.
Constructors in javax.management with parameters of type MBeanServerConnection
Modifier
Constructor
Description
``
`MBeanServerInvocationHandler(MBeanServerConnection connection, ObjectName objectName)`
Invocation handler that forwards methods through an MBean server to a Standard MBean.
``
`MBeanServerInvocationHandler(MBeanServerConnection connection, ObjectName objectName, boolean isMXBean)`
Invocation handler that can forward methods through an MBean server to a Standard MBean or MXBean.

## Uses of MBeanServerConnection in javax.management.remote

Subinterfaces of MBeanServerConnection in javax.management.remote
Modifier and Type
Interface
Description
`interface`
`MBeanServerForwarder`
An object of this class implements the MBeanServer interface and wraps another object that also implements that interface.
Methods in javax.management.remote that return MBeanServerConnection
Modifier and Type
Method
Description
`MBeanServerConnection`
JMXConnector.`getMBeanServerConnection()`
Returns an `MBeanServerConnection` object representing a remote MBean server.
`MBeanServerConnection`
JMXConnector.`getMBeanServerConnection(Subject delegationSubject)`
Deprecated, for removal: This API element is subject to removal in a future version.
This method supported the legacy Subject Delegation feature, and is only useful in conjunction with other APIs which are deprecated and subject to removal in a future release.

## Uses of MBeanServerConnection in javax.management.remote.rmi

Methods in javax.management.remote.rmi that return MBeanServerConnection
Modifier and Type
Method
Description
`MBeanServerConnection`
RMIConnector.`getMBeanServerConnection()`
`MBeanServerConnection`
RMIConnector.`getMBeanServerConnection(Subject delegationSubject)`

## Uses of MBeanServerConnection in jdk.management.jfr

Constructors in jdk.management.jfr with parameters of type MBeanServerConnection
Modifier
Constructor
Description
``
`RemoteRecordingStream(MBeanServerConnection connection)`
Creates an event stream that operates against a `MBeanServerConnection` that has a registered `FlightRecorderMXBean`.
``
`RemoteRecordingStream(MBeanServerConnection connection, Path directory)`
Creates an event stream that operates against a `MBeanServerConnection` that has a registered `FlightRecorderMXBean`.